Package picard.analysis

## Class RrbsMetricsCollector

- java.lang.Object
- - picard.metrics.MultiLevelCollector<BEAN,​HKEY,​SAMRecordAndReference>
  - - picard.metrics.SAMRecordAndReferenceMultiLevelCollector<picard.analysis.RrbsMetrics,​Comparable<?>>
    - - picard.analysis.RrbsMetricsCollector

-     public class RrbsMetricsCollector
      extends SAMRecordAndReferenceMultiLevelCollector<picard.analysis.RrbsMetrics,​Comparable<?>>

- - ### Field Summary

    - ### Fields inherited from class picard.metrics.MultiLevelCollector

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RrbsMetricsCollector​(Set<MetricAccumulationLevel> accumulationLevels, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, int cQualityThreshold, int nextBaseQualityThreshold, int minReadLength, double maxMismatchRate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected PerUnitMetricCollector<picard.analysis.RrbsMetrics,​Comparable<?>,​SAMRecordAndReference>` | `makeChildCollector​(String sample, String library, String readGroup)` | Construct a PerUnitMetricCollector with the given arguments.

    - ### Methods inherited from class picard.metrics.SAMRecordAndReferenceMultiLevelCollector

      `makeArg`

    - ### Methods inherited from class picard.metrics.MultiLevelCollector

      `acceptRecord, addAllLevelsToFile, finish, getAllReadsCollector, makeAllReadCollector, makeLibraryCollector, makeReadGroupCollector, makeSampleCollector, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RrbsMetricsCollector

          public RrbsMetricsCollector​(Set<MetricAccumulationLevel> accumulationLevels,
                                      List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords,
                                      int cQualityThreshold,
                                      int nextBaseQualityThreshold,
                                      int minReadLength,
                                      double maxMismatchRate)

  - ### Method Detail

    - #### makeChildCollector

          protected PerUnitMetricCollector<picard.analysis.RrbsMetrics,​Comparable<?>,​SAMRecordAndReference> makeChildCollector​(String sample,
                                                                                                                                           String library,
                                                                                                                                           String readGroup)

      Description copied from class: `MultiLevelCollector`
      Construct a PerUnitMetricCollector with the given arguments.
      Specified by:
        `makeChildCollector` in class `MultiLevelCollector<picard.analysis.RrbsMetrics,​Comparable<?>,​SAMRecordAndReference>`
      Parameters:
        `sample` - If aggregating by ALL_READS this will be null, otherwise the sample that will be used to identify this collector
        `library` - If aggregating by SAMPLE this will be null, otherwise the library that will be used to identify this collector
        `readGroup` - If aggregating by LIBRARY this will be null, otherwise the readGroup that will be used to identify this collector
      Returns:
        A PerUnitMetricCollector parameterized by the given arguments